Skip to main content
PATCH
Update device's meta information (assignment info and location)

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
deviceId
number
必須

ボディ

application/json
status
enum<string>

The status of the device. If IN_STOCK status is set, the device will be unassigned and the assignment start/end date will be cleared. If DECOMMISSIONED status is set, the assignment dates will be cleared but the last assigned user will be preserved for audit purposes.

利用可能なオプション:
in_stock,
pre_use,
active,
missing,
malfunction,
decommissioned,
on_order
:

"active"

peopleId
number | null

The people ID to assign the device to. If null, the device will be unassigned. Device that has IN_STOCK status can't be assigned to a person. For DECOMMISSIONED devices, the last assigned user is preserved for audit purposes.

:

123

assignmentStartDate
string<date> | null

The date the device is assigned to the person. Device that has IN_STOCK or DECOMMISSIONED can't have assignment start date

:

"2021-01-01"

assignmentEndDate
string<date> | null

The date the device assignment ends. Device that has IN_STOCK or DECOMMISSIONED can't have assignment end date

:

"2021-01-02"

location1
string

Primary location information for the device

:

"location1"

location2
string

Secondary location information for the device

:

"location2"

comment
string | null

Comment or reason for the assignment/status change

:

"Assigned to new employee"

レスポンス

id
number
必須

Unique identifier for the device

:

123

memo
string
必須

Additional notes or memo about the device

:

"foo bar"

type
enum<string>
必須

Type of the device (e.g., PC, Phone, Tablet)

利用可能なオプション:
pc,
phone,
other
:

"pc"

people
object | null
必須

Person assigned to this device, or null if unassigned

identity
object | null
必須

Identity information of the assigned person, or null if unassigned

preset
object
必須

Preset fields for the device. This is a hashmap where the key maps to the field uniqueName in device fields.

:
custom
object
必須

Custom fields for the device. This is a hashmap where the key maps to the field uniqueName in device fields.

:
createdAt
string<date-time>
必須

Timestamp when the device was created

:

"2024-03-20T00:00:00Z"

updatedAt
string<date-time>
必須

Timestamp when the device was last updated

:

"2024-03-20T00:00:00Z"

customFieldsWithMetadata
object[]
必須
read-only
:
最終更新日 2026年8月13日